org.apache.activemq.artemis.jms.client

## Class ActiveMQXAConnection

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQConnectionForContextImpl
  - - org.apache.activemq.artemis.jms.client.ActiveMQConnection
    - - org.apache.activemq.artemis.jms.client.ActiveMQXAConnection

- All Implemented Interfaces:
    AutoCloseable, javax.jms.Connection, javax.jms.QueueConnection, javax.jms.TopicConnection, javax.jms.XAConnection, javax.jms.XAQueueConnection, javax.jms.XATopicConnection, ActiveMQConnectionForContext

      public final class ActiveMQXAConnection
      extends ActiveMQConnection
      implements javax.jms.XATopicConnection, javax.jms.XAQueueConnection

  ActiveMQ Artemis implementation of a JMS XAConnection.

  The flat implementation of `XATopicConnection` and `XAQueueConnection` is per design, following common practices of JMS 1.1.

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQConnection

      `CONNECTION_ID_PROPERTY_NAME, EXCEPTION_DISCONNECT, EXCEPTION_FAILOVER, TYPE_GENERIC_CONNECTION, TYPE_QUEUE_CONNECTION, TYPE_TOPIC_CONNECTION`

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQConnectionForContextImpl

      `threadAwareContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQXAConnection(ConnectionFactoryOptions options, String username, String password, int connectionType, String clientID, int dupsOKBatchSize, int transactionBatchSize, boolean cacheDestinations, boolean enable1xNaming, ClientSessionFactory sessionFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.jms.XAQueueSession` | `createXAQueueSession()`
    `javax.jms.XASession` | `createXASession()`
    `javax.jms.XATopicSession` | `createXATopicSession()`
    `protected boolean` | `isXA()`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQConnection

      `addKnownDestination, addTemporaryQueue, authorize, authorize, checkAck, checkClosed, close, containsKnownDestination, containsTemporaryQueue, createAMQSession, createConnectionConsumer, createConnectionConsumer, createConnectionConsumer, createDurableConnectionConsumer, createNonXAQueueSession, createNonXASession, createNonXATopicSession, createQueueSession, createSession, createSession, createSession, createSessionInternal, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, createTopicSession, finalize, getClientID, getDeserializationBlackList, getDeserializationWhiteList, getExceptionListener, getFailoverListener, getInitialSession, getMetaData, getSessionFactory, getUID, hasNoLocal, isStarted, removeSession, removeTemporaryQueue, setClientID, setExceptionListener, setFailoverListener, setHasNoLocal, setReference, signalStopToAllSessions, start, stop`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQConnectionForContextImpl

      `closeFromContext, createContext, createXAContext, getThreadAwareContext, incrementRefCounter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.XATopicConnection

      `createTopicSession`

    - ### Methods inherited from interface javax.jms.TopicConnection

      `createConnectionConsumer, createDurableConnectionConsumer`

    - ### Methods inherited from interface javax.jms.XAQueueConnection

      `createQueueSession`

    - ### Methods inherited from interface javax.jms.XAConnection

      `createSession`

    - ### Methods inherited from interface javax.jms.QueueConnection

      `createConnectionConsumer`

    - ### Methods inherited from interface javax.jms.Connection

      `close, createConnectionConsumer, createSession, createSession, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

- - ### Constructor Detail

    - #### ActiveMQXAConnection

          public ActiveMQXAConnection(ConnectionFactoryOptions options,
                                      String username,
                                      String password,
                                      int connectionType,
                                      String clientID,
                                      int dupsOKBatchSize,
                                      int transactionBatchSize,
                                      boolean cacheDestinations,
                                      boolean enable1xNaming,
                                      ClientSessionFactory sessionFactory)

  - ### Method Detail

    - #### createXASession

          public javax.jms.XASession createXASession()
                                              throws javax.jms.JMSException

      Specified by:
        `createXASession` in interface `javax.jms.XAConnection`
      Throws:
        `javax.jms.JMSException`

    - #### createXAQueueSession

          public javax.jms.XAQueueSession createXAQueueSession()
                                                        throws javax.jms.JMSException

      Specified by:
        `createXAQueueSession` in interface `javax.jms.XAQueueConnection`
      Throws:
        `javax.jms.JMSException`

    - #### createXATopicSession

          public javax.jms.XATopicSession createXATopicSession()
                                                        throws javax.jms.JMSException

      Specified by:
        `createXATopicSession` in interface `javax.jms.XATopicConnection`
      Throws:
        `javax.jms.JMSException`

    - #### isXA

          protected boolean isXA()

      Overrides:
        `isXA` in class `ActiveMQConnection`

Copyright © 2018 The Apache Software Foundation. All rights reserved.